<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->

- [Running the Service Locally](#running-the-service-locally)
- [Running Tests](#running-tests)
- [Package Release](#package-release)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

# Running the Service Locally

- run positions manager

```shell
npm start --prefix=apps/positions-manager

```

# Running Tests

- Unit tests

```shell
npm run test:unit --prefix=apps/positions-manager

```

- Integration tests

```shell
npm run test:integration --prefix=apps/positions-manager

```

# Package Release

- Reset all current changes, checkout and update current development branch(`dev`)

```shell
git checkout -- ./
git checkout dev
git pull origin dev

```

- Update [CHANGELOG.md](CHANGELOG.md) to add release date to latest version

- Run scripts for version increment

```shell
yarn version:patch:sm

```

- Create new build branch (`master_pm`)

```shell
git branch -D master_pm
git branch master_pm

```

- Make **force push**(for the case if `master_pm` branch already exists from branch differ than `dev`)

```shell
git push origin master_pm -f 

```

- Check build progress
  in [jenkins](https://jenkins.rpplabs.com/job/rtls-web-team/job/rtls-solution-positions-manager/job/master_pm/)
- After build complete package will locate in [repository](https://repo.rpplabs.com/ubuntu/)
  as `rtls-positions-post-processor_*`
