export function randomInt() {
    return Math.floor(Math.random() * 10000);
}

export function randomMac() {
    let mac = '';
    const macLength = 12;
    const randomChar = () => (Math.random() * 1000).toString(16).replace(/[.]+/g, '').substr(1, 1);

    for (let i = 0; i < macLength; i += 1) {
        mac += randomChar();
    }

    return mac;
}

export function parseSafeNull(string) {
    let result = null;
    if (string === null || string === undefined) {
        return string;
    }
    try {
        result = JSON.parse(string);
    } catch (e) {
        console.error(`Error parsing "${string}"`, e);
    }
    return result;
}

export function getChannelWithMessage(rawMessage = '') {
    const index = rawMessage.indexOf('{');
    const channel = (rawMessage.substring(0, index) || '').replace(/\s/g, '');
    const message = parseSafeNull(rawMessage.substring(index)) || null;

    return {
        channel,
        message,
    };
}
