import { makeRequestHandler } from '../../utils/index.mjs';
import { AddSubscriptions, GetSubscriptions, DeleteSubscriptions } from '../../../usecases/index.mjs';

export const main = {
    get: makeRequestHandler(
        GetSubscriptions,
        (req) => ({
            entity: req.params.entity,
            id: req.id,
            jsonrpc: req.jsonrpc,
        }),
        (result, res) => {
            res.send(result);
        },
    ),
    add: makeRequestHandler(
        AddSubscriptions,
        (req, res) => ({
            channels: req.params.data,
            client: res,
            clientUid: res.uid,
            email: req.params.userEmail,
            entity: req.params.entity,
            id: req.id,
            jsonrpc: req.jsonrpc,
            project: req.params.project_uid,
        }),
        (result, res) => {
            res.send(result);
        },
    ),
    del: makeRequestHandler(
        DeleteSubscriptions,
        (req, res) => ({
            channels: req.params.data,
            clientUid: res.uid,
            email: req.params.userEmail,
            entity: req.params.entity,
            id: req.id,
            jsonrpc: req.jsonrpc,
            project: req.params.project_uid,
        }),
        (result, res) => {
            res.send(result);
        },
    ),
};
