import { ZMQ_SUB_CHANNELS } from '../../../system/index.mjs';
import { makeRequestHandler } from '../../utils/index.mjs';
import {
    PositionHandle, NotifyHandle, AlarmHandle, ParamPHandle, SolutionZoneEventHandle, SensorHandle, OtaHandle, UserMsgHandle,
} from '../../../usecases/index.mjs';

export const main = {
    [ZMQ_SUB_CHANNELS.PL_POS]: makeRequestHandler(
        PositionHandle,
        (message) => message,
    ),
    [ZMQ_SUB_CHANNELS.SOL_NOTIFY]: makeRequestHandler(
        NotifyHandle,
        (message) => message,
    ),
    [ZMQ_SUB_CHANNELS.SOL_ALARM]: makeRequestHandler(
        AlarmHandle,
        (message) => message,
    ),
    [ZMQ_SUB_CHANNELS.SOL_PARAM_P]: makeRequestHandler(
        ParamPHandle,
        (message) => message,
    ),
    [ZMQ_SUB_CHANNELS.SOL_ZONE_EVENT]: makeRequestHandler(
        SolutionZoneEventHandle,
        (message) => message,
    ),
    [ZMQ_SUB_CHANNELS.SENSOR]: makeRequestHandler(
        SensorHandle,
        (message) => message,
    ),
    [ZMQ_SUB_CHANNELS.OTA]: makeRequestHandler(
        OtaHandle,
        (message) => message,
    ),
    [ZMQ_SUB_CHANNELS.USER_MSG]: makeRequestHandler(
        UserMsgHandle,
        (message) => message,
    ),
};
