export class ClientBase {
    /**
     * @typedef {Class} ClientBase
     * @method onClose
     * @method setOnClose
     * @method send
     * @method close
     */

    /**
     * @property {string}
     */
    type = null;

    /**
     * @property {string}
     */
    email = null;

    /**
     * @param {string|null} type - client type
     * @param {string|null} email - users email
     */
    constructor(type = null, email = null) {
        this.type = type;
        this.email = email;
    }

    /**
     * @type {Function} onClose
     */
    onClose = (email, uid) => {}

    /**
     * @param {Function} callback - on close callback
     * @returns {undefined}
     */
    setOnClose(callback = () => {}) {
        this.onClose = callback;
    }

    /**
     * @method
     * @param {string} message - message to send
     * @returns {Object}
     */
    send(message) {}

    /**
     * @method
     * @returns {undefined}
     */
    close() {}
}
