import { SubscriptionsManager } from '../subscription/index.mjs';

export class Dispatcher {
    /**
     * @class {Dispatcher}
     * @property send
     * */

    /**
     * @method
     * @param {string} topic - message topic
     * @param {object} message - message that should be sent to the client
     * @return {undefined}
     */
    static async send(topic, message) {
        // todo: could be a bottleneck
        // todo: could be optimized with the queue and sending messages by interval
        // todo: change schema to observable pattern implementation
        const subscriptionsManager = new SubscriptionsManager();

        const subscribers = subscriptionsManager.findSubscribersByTopic(topic);
        for (const email in subscribers) {
            (subscribers[email] || []).forEach((client) => {
                client.send(JSON.stringify(message));
            });
        }
        return undefined;
    }
}
