import assert from 'assert';
import { User } from './User.mjs';
import ModelBase from '../ModelBase.mjs';

const repository = {
    user: {
        async read({ email }) {
            return { email };
        },
    },
};

describe('User', () => {
    it('should read user from repository', async () => {
        ModelBase.setRepository(repository);
        const email = 'test@test.com';
        const user = await new User().read(email);
        assert.deepStrictEqual(user, { email });
    });
});
