import UseCaseBase from '../UseCaseBase.mjs';
import { SubscriptionsManager } from '../../models/index.mjs';
import { WS_ENTITY, WS_CHANNELS } from '../../system/index.mjs';

export class GetSubscriptions extends UseCaseBase {
    static validationRules = {
        entity: ['string', { one_of: [WS_ENTITY.CHANNELS, WS_ENTITY.SUBSCRIPTIONS] }, 'required'],
        id: ['required'],
        jsonrpc: ['string', 'required'],
    };

    async execute(params) {
        let result;
        if (params.entity === WS_ENTITY.CHANNELS) {
            result = Object.values(WS_CHANNELS);
        } else {
            const subscriptionsManager = new SubscriptionsManager();
            result = subscriptionsManager.getAllSubscriptions();
        }

        return JSON.stringify({
            id: params.id,
            jsonrpc: params.jsonrpc,
            result,
        });
    }
}
