import UseCaseBase from '../UseCaseBase.mjs';
import { Dispatcher, Notify } from '../../models/index.mjs';

export class ParamPHandle extends UseCaseBase {
    /**
     * @method
     * @param {Object} paramPRaw - raw param_p message
     * @param {String} paramPRaw.mac - hardware MAC address
     * @param {String} paramPRaw.ts - unix timestamp
     * @param {String} paramPRaw.ms - milliseconds part of the timestamp
     * @param {Object} paramPRaw.plist - message payload
     * @returns {Promise<null>}
     */
    async execute(paramPRaw) {
        const { topic, message } = await Notify.getParamPMessage(paramPRaw);
        await Dispatcher.send(topic, message);
        return null;
    }
}
