import UseCaseBase from '../UseCaseBase.mjs';
import { Dispatcher, Notify } from '../../models/index.mjs';

export class SensorHandle extends UseCaseBase {
    /**
     * @method
     * @param {Object} sensorRawData - raw sensor data
     * ...
     * @param {String} sensorRawData.project_uid - project unique identifier
     * @returns {Promise<null>}
     */
    async execute(sensorRawData) {
        const { topic, message } = Notify.getSensorMessage(sensorRawData);
        await Dispatcher.send(topic, message);
        return null;
    }
}
